Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class SEQUENCE.Template.Element

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.SEQUENCE.Template.Element

Enclosing class:
  SEQUENCE.Template

static class SEQUENCE.Template.Element
extends java.lang.Object

An element of a SEQUENCE template. For each sub-template, contains the template, its optionality, its implicit tag, and its default value.

Field Summary
`private ASN1Value` | `defaultVal`
`private Tag` | `implicitTag`
`private boolean` | `optional`
`private boolean` | `repeatable`
`private ASN1Template` | `type`

Constructor Summary
`SEQUENCE.Template.Element(Tag implicitTag, ASN1Template type, ASN1Value defaultVal)` Creates a new element with a default value.
`SEQUENCE.Template.Element(Tag implicitTag, ASN1Template type, boolean optional)` Creates a new element, which may or may not be optional.

Method Summary
`ASN1Value` | `getDefault()`
`Tag` | `getImplicitTag()`
`ASN1Template` | `getTemplate()`
`boolean` | `isOptional()`
`(package private) boolean` | `isRepeatable()`
`(package private) void` | `makeRepeatable()`
`boolean` | `tagMatch(Tag tag)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### repeatable

    private boolean repeatable

### optional

    private boolean optional

### implicitTag

    private Tag implicitTag

### type

    private ASN1Template type

### defaultVal

    private ASN1Value defaultVal

Constructor Detail

### SEQUENCE.Template.Element

    public SEQUENCE.Template.Element(Tag implicitTag,
                                     ASN1Template type,
                                     boolean optional)

  Creates a new element, which may or may not be optional.

### SEQUENCE.Template.Element

    public SEQUENCE.Template.Element(Tag implicitTag,
                                     ASN1Template type,
                                     ASN1Value defaultVal)

  Creates a new element with a default value.

Method Detail

### makeRepeatable

    void makeRepeatable()

### isRepeatable

    boolean isRepeatable()

### isOptional

    public boolean isOptional()

### getImplicitTag

    public Tag getImplicitTag()

### tagMatch

    public boolean tagMatch(Tag tag)

### getTemplate

    public ASN1Template getTemplate()

### getDefault

    public ASN1Value getDefault()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD